Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.editor
Class AbleInspector

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          com.ibm.able.editor.AbleInspector

All Implemented Interfaces:
  AbleEventListener, javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.awt.print.Printable, java.beans.PropertyChangeListener, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class AbleInspector
extends javax.swing.JFrame
implements AbleEventListener, java.beans.PropertyChangeListener, java.awt.print.Printable

This class implements the generic inspector used to show AbleObject properties in text and graphic formats.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Nested classes inherited from class java.awt.Frame
`java.awt.Frame.AccessibleAWTFrame`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`static int` | `AREA`
`static int` | `AREASTACKING`
`static int` | `ARRAYS`
`static int` | `BARCHART`
`static int` | `BARSTACKING`
`static int` | `BINARYGRID`
`static int` | `CHART`
`static int` | `CUSTOM`
`static int` | `HINTONDIAGRAM`
`static int` | `LINECHART`
`int` | `myNumDisplayColumns`
`static int` | `PARAMETERS`
`static int` | `SCATTERPLOT`
`static int` | `TEXT`
`static int` | `TEXTSERIES`
`static int` | `TEXTSTATS`
`static int` | `TEXTTRACE`
`static int` | `TIMEPLOT`

Fields inherited from class javax.swing.JFrame
`accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AbleInspector(AbleViewObject theViewObject)` Create an Inspector object over the specified view object and the view object's underlying AbleObject or AbleBean.

Method Summary
`protected int` | `computeNumRowsPerPage(java.awt.print.PageFormat pf)` Printing helper function - compute the number of rows of text that can be printed per page
`protected java.awt.print.Book` | `createBook()` Create a Book document for use by print preview dialog
`protected void` | `displayArrays()`
`protected void` | `displayBuffers()`
`protected void` | `displayParameters()`
`protected void` | `displaySeriesData()`
`void` | `drawPage(java.awt.Graphics2D g2, int pageIndex, int numRowsPerPage)`
`void` | `generateChartView(int theType)`
`AbleBean` | `getBean()`
`AbleInspectorContext` | `getContext()` Copy user-defined state and settings for save/restore
`java.lang.String` | `getObjectName()`
`void` | `handleAbleEvent(AbleEvent theAbleEvent)` Handles an Able event.
`int` | `print(java.awt.Graphics g, java.awt.print.PageFormat pf, int pageIndex)` Print the contents of the Inspector
`protected void` | `processWindowEvent(java.awt.event.WindowEvent theWindowEvent)`
`void` | `propertyChange(java.beans.PropertyChangeEvent theEvent)`
`protected void` | `refreshSelectedView()`
`void` | `setContext(AbleInspectorContext theContext)` Get user-defined state and settings after restore
`void` | `setOwner(AbleInspectorHolder theOwner)`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Field Detail

### PARAMETERS

    public static final int PARAMETERS

See Also:
  Constant Field Values

### ARRAYS

    public static final int ARRAYS

See Also:
  Constant Field Values

### BARCHART

    public static final int BARCHART

See Also:
  Constant Field Values

### BINARYGRID

    public static final int BINARYGRID

See Also:
  Constant Field Values

### HINTONDIAGRAM

    public static final int HINTONDIAGRAM

See Also:
  Constant Field Values

### LINECHART

    public static final int LINECHART

See Also:
  Constant Field Values

### SCATTERPLOT

    public static final int SCATTERPLOT

See Also:
  Constant Field Values

### TIMEPLOT

    public static final int TIMEPLOT

See Also:
  Constant Field Values

### AREA

    public static final int AREA

See Also:
  Constant Field Values

### AREASTACKING

    public static final int AREASTACKING

See Also:
  Constant Field Values

### BARSTACKING

    public static final int BARSTACKING

See Also:
  Constant Field Values

### CHART

    public static final int CHART

See Also:
  Constant Field Values

### CUSTOM

    public static final int CUSTOM

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### TEXTSERIES

    public static final int TEXTSERIES

See Also:
  Constant Field Values

### TEXTTRACE

    public static final int TEXTTRACE

See Also:
  Constant Field Values

### TEXTSTATS

    public static final int TEXTSTATS

See Also:
  Constant Field Values

### myNumDisplayColumns

    public int myNumDisplayColumns

Constructor Detail

### AbleInspector

    public AbleInspector(AbleViewObject theViewObject)

  Create an Inspector object over the specified view object and the view object's underlying AbleObject or AbleBean.

Method Detail

### handleAbleEvent

    public void handleAbleEvent(AbleEvent theAbleEvent)

  Description copied from interface: `AbleEventListener`
  Handles an Able event. Most implementations will check to see if the event should be processed synchronously (on the same thread as the caller) or asynchronously (on a separate thread).

  Specified by:
    `handleAbleEvent` in interface `AbleEventListener`
  Parameters:
    `theAbleEvent` - The event to handle.

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent theEvent)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### getObjectName

    public java.lang.String getObjectName()

### getBean

    public AbleBean getBean()

### getContext

    public AbleInspectorContext getContext()

  Copy user-defined state and settings for save/restore

### setContext

    public void setContext(AbleInspectorContext theContext)

  Get user-defined state and settings after restore

### setOwner

    public void setOwner(AbleInspectorHolder theOwner)

### processWindowEvent

    protected void processWindowEvent(java.awt.event.WindowEvent theWindowEvent)

### generateChartView

    public void generateChartView(int theType)

### refreshSelectedView

    protected void refreshSelectedView()

### displayArrays

    protected void displayArrays()

### displayBuffers

    protected void displayBuffers()
                           throws AbleException

  Throws:
    `AbleException`

### displayParameters

    protected void displayParameters()

### displaySeriesData

    protected void displaySeriesData()

### print

    public int print(java.awt.Graphics g,
                     java.awt.print.PageFormat pf,
                     int pageIndex)
              throws java.awt.print.PrinterException

  Print the contents of the Inspector

  Specified by:
    `print` in interface `java.awt.print.Printable`
  Throws:
    `java.awt.print.PrinterException`

### drawPage

    public void drawPage(java.awt.Graphics2D g2,
                         int pageIndex,
                         int numRowsPerPage)

### computeNumRowsPerPage

    protected int computeNumRowsPerPage(java.awt.print.PageFormat pf)

  Printing helper function - compute the number of rows of text that can be printed per page

### createBook

    protected java.awt.print.Book createBook()

  Create a Book document for use by print preview dialog

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005